package com.localmatters.flexiq.collector.client;

import com.localmatters.flexiq.collector.client.consumer.ConsumerWS;
import com.localmatters.flexiq.collector.client.consumer.ConsumerWSService;
import com.localmatters.flexiq.collector.client.consumer.ResultMessage;
import com.localmatters.flexiq.collector.client.producer.ProducerWS;
import com.localmatters.flexiq.collector.client.producer.ProducerWSService;
import java.io.ByteArrayOutputStream;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import org.w3c.dom.Document;

/**
 *
 * @author Daniel Cavalcanti
 */
public class Driver {
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
    throws Exception {
        
//        final URL producerURL = new URL("http://localhost:8080/collector-5.1.0/Producer?wsdl");
        final URL producerURL = new URL("http://collector.isxinc.com/collector-5.1.0/Producer?WSDL");
        
//        final URL consumerURL = new URL("http://localhost:8080/collector-5.1.0/Consumer?wsdl");
        final URL consumerURL = new URL("http://collector.isxinc.com/collector-5.1.0/Consumer?WSDL");
        
        ProducerWSService producerService = new ProducerWSService(producerURL);
        ProducerWS producerPort = producerService.getProducerWSPort();
        
        ConsumerWSService consumerService = new ConsumerWSService(consumerURL);
        ConsumerWS consumerPort = consumerService.getConsumerWSPort();
        
        final int MSG_COUNT = 10;
        final String username = "guest";
        final String password = "guest";
        final String jndiDestination = "jms/RequestQueue";
        final byte[] msg = getDocument();
        System.out.println(new String(msg));
        
        List<byte[]> msgs = new ArrayList<byte[]>();
        for (int i = 0 ; i < MSG_COUNT ; i++)
            msgs.add(msg);
        
        System.out.println("sending messages.");
        producerPort.send(msgs, username, password);
        System.out.println("messages sent.");
        
        System.out.println("receiving messages.");
        List<ResultMessage> results = consumerPort.retrieve(username, password, jndiDestination, MSG_COUNT, false);
        System.out.println("received messages.");

        for (ResultMessage result : results)
            System.out.println(new String(result.getMessage()));
        
    }
    
    private static byte[] getDocument()
    throws Exception {
        
        final String COLLECTOR_MESSAGE = "collector-message.xml";
        
        DocumentBuilder db = DocumentBuilderFactory.newInstance().newDocumentBuilder();
        Document dom = db.parse(Driver.class.getClassLoader().getResourceAsStream(COLLECTOR_MESSAGE));
        
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        Transformer transformer = TransformerFactory.newInstance().newTransformer();
        transformer.transform(new DOMSource(dom), new StreamResult(baos));
        baos.close();
        
        return baos.toByteArray();
        
    }
    
}
