package com.localmatters.flexiq.collector.browser;

import com.localmatters.flexiq.collector.producer.ProducerException;
import com.localmatters.flexiq.collector.producer.ProducerService;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.annotation.Resource;
import javax.ejb.EJB;
import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.Destination;
import javax.jms.MessageProducer;
import javax.jms.Session;

/**
 *
 * @author Daniel Cavalcanti
 */
public class MessageInjectorBean {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    // EJB resources ********************************************************
    
    @EJB()
    private ProducerService producer;
    
    // UI properties ********************************************************
    
    // search parameters properties
    private String connectionUsername;
    private String connectionPassword;
    private String collectorMessage;
    private String collectorMessageFile;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of MessageInjectorBean.
     */
    public MessageInjectorBean() {
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    public String getConnectionUsername() {
        return connectionUsername;
    }
    
    public void setConnectionUsername(String connectionUsername) {
        this.connectionUsername = connectionUsername;
    }
    
    public String getConnectionPassword() {
        return connectionPassword;
    }
    
    public void setConnectionPassword(String connectionPassword) {
        this.connectionPassword = connectionPassword;
    }
    
    public String getCollectorMessage() {
        return collectorMessage;
    }
    
    public void setCollectorMessage(String collectorMessage) {
        this.collectorMessage = collectorMessage;
    }
    
    public String getCollectorMessageFile() {
        return collectorMessageFile;
    }
    
    public void setCollectorMessageFile(String collectorMessageFile) {
        this.collectorMessageFile = collectorMessageFile;
    }
    
    // **********************************************************************
    // Action methods
    // **********************************************************************
    
    public String sendMessage() {
        try {
            producer.send(new byte[][]{collectorMessage.getBytes()}, connectionUsername, connectionPassword);
        } catch (ProducerException ex) {
            // TODO log
            ex.printStackTrace();
        }
        return null;
    }
    
    public String clearMessage() {
        collectorMessage = null;
        return null;
    }
    
    public String clearAll() {
        connectionUsername = null;
        connectionPassword = null;
        collectorMessage = null;
        collectorMessageFile = null;
        return null;
    }
    
    public String loadMessage() {
        
        return null;
    }
    
}
