/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.browser;

import java.util.List;
import javax.ejb.Local;
import javax.jms.Message;

/**
 * The collector browser service definition.
 *
 * @author Daniel Cavalcanti
 */
@Local()
public interface BrowserService {
    
    /**
     * Lists a queue's messages.
     *
     * @param queueJndiName The queue JNDI name.
     * @param username The queue's username credential.
     * @param password The queue's password credential.
     * @throws com.localmatters.flexiq.collector.browser.BrowserException If there is an exception/error.
     * @return The message list.
     */
    List<Message> getMessages(String queueJndiName, String username, String password)
    throws BrowserException;
    
    /**
     * Lists a queue's messages.
     *
     * @param queueJndiName The queue JNDI name.
     * @param username The queue's username credential.
     * @param password The queue's password credential.
     * @param maxMessages The maximum number of messages to list.
     * @throws com.localmatters.flexiq.collector.browser.BrowserException If there is an exception/error.
     * @return The message list.
     */
    List<Message> getMessages(String queueJndiName, String username, String password, int maxMessages)
    throws BrowserException;
    
}
