/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.consumer;

import javax.ejb.Local;

/**
 * The collector message consumer service definition.
 *
 * @author Daniel Cavalcanti
 */
@Local()
public interface ConsumerService {
    
    /**
     * Retrieves <code>maxMessages</code> messages from the named queue.
     * This method blocks until <code>maxMessages</code> are retrieved from the
     * queue.
     *
     * @param username The JMS connection username.
     * @param password The JMS connection password.
     * @param jndiDestination The destination JNDI.
     * @param maxMessages The max number of messages to return.
     * @param compressed Determine if messages should be left compressed in case they are compressed.
     * @throws com.localmatters.flexiq.collector.consumer.ConsumerException Thrown if there is an exception/error.
     * @return An array of collector messages.
     */
    public ResultMessage[] retrieve(String username, String password, String jndiDestination, int maxMessages, boolean compressed)
    throws ConsumerException;
    
}