/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.dashboard;

import javax.ejb.Local;

/**
 * The collector dash board service definition.
 *
 * @author Daniel Cavalcanti
 */
@Local()
public interface DashBoardService {
    
    /**
     * Gets the queue message count.
     *
     * @param username The JMS connection username.
     * @param password The JMS connection password.
     * @param queueJndiName The queue JNDI name.
     * @throws com.localmatters.flexiq.collector.dashboard.DashBoardException If there is an exception/error.
     * @return The number of messages in the queue.
     */
    public int getQueueMessageCount(String username, String password, String queueJndiName)
    throws DashBoardException;
    
}