/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.producer;

import javax.ejb.Local;

/**
 * The collector message producer service definition.
 *
 * @author Daniel Cavalcanti
 */
@Local()
public interface ProducerService {
    
    /**
     * Sends a set of collectorMessages into the system.
     *
     * @param collectorMessages The list of collector messages to send into the system.
     * @param username The queue username.
     * @param password The queue password.
     * @throws com.localmatters.flexiq.collector.producer.incoming.ProducerException If there is an exception/error.
     */
    public void send(byte[][] collectorMessages, String username, String password)
    throws ProducerException;

}
