/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.consumer;

import javax.xml.ws.WebFault;

/**
 * An exception that wraps the ConsumerException class.
 * The ConsumerException represents a web (service) fault.
 *
 * @author Daniel Cavalcanti
 */
@WebFault(name = "ConsumerException", targetNamespace = "http://consumer.collector.flexiq.localmatters.com/")
public class ConsumerException_Exception
    extends Exception {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    private ConsumerException faultInfo;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ConsumerException_Exception.
     *
     * @param message The message.
     * @param faultInfo The web fault.
     */
    public ConsumerException_Exception(String message, ConsumerException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }
    
    /**
     * Creates a new instance of ConsumerException_Exception.
     *
     * @param message The message.
     * @param faultInfo The web fault.
     * @param cause The cause.
     */
    public ConsumerException_Exception(String message, ConsumerException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the web fault.
     *
     * @return The web fault.
     */
    public ConsumerException getFaultInfo() {
        return faultInfo;
    }
    
}
