/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.consumer;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * The ConsumerWS port.
 *
 * @author Daniel Cavalcanti
 */
@WebService(name = "ConsumerWS", targetNamespace = "http://consumer.collector.flexiq.localmatters.com/")
public interface ConsumerWS {
    
    /**
     * Retrieves <code>maxMessages</code> messages from the named queue.
     * This method blocks until <code>maxMessages</code> are retrieved from the
     * queue.
     *
     * @param username The JMS connection username.
     * @param password The JMS connection password.
     * @param jndiDestination The destination JNDI.
     * @param maxMessages The max number of messages to return.
     * @param compressed Determine if messages should be left compressed in case they are compressed.
     * @throws ConsumerException_Exception If there is an exception/error.
     * @return A list of collector messages.
     */
    @WebMethod()
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "retrieve", targetNamespace = "http://consumer.collector.flexiq.localmatters.com/", className = "com.localmatters.flexiq.collector.client.consumer.Retrieve")
    @ResponseWrapper(localName = "retrieveResponse", targetNamespace = "http://consumer.collector.flexiq.localmatters.com/", className = "com.localmatters.flexiq.collector.client.consumer.RetrieveResponse")
    public List<ResultMessage> retrieve(
        @WebParam(name = "username", targetNamespace = "") String username,
        @WebParam(name = "password", targetNamespace = "") String password,
        @WebParam(name = "jndiDestination", targetNamespace = "") String jndiDestination,
        @WebParam(name = "maxMessages", targetNamespace = "") int maxMessages,
        @WebParam(name = "compressed", targetNamespace = "") boolean compressed)
    throws ConsumerException_Exception;
    
}
