/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.consumer;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;

/**
 * The ConsumerWS service.
 *
 * @author Daniel Cavalcanti
 */
@WebServiceClient(name = "ConsumerWSService", targetNamespace = "http://consumer.collector.flexiq.localmatters.com/")
public class ConsumerWSService
    extends Service {
    
    // **********************************************************************
    // Class constants
    // **********************************************************************
    
    /**
     * The ConsumerWS namespace.
     */
    public static final String CONSUMER_NAMESPACE = "http://consumer.collector.flexiq.localmatters.com/";
    
    /**
     * The qualified name for the ConsumerWS service.
     */
    public static final QName CONSUMER_SERVICE = new QName(CONSUMER_NAMESPACE, "ConsumerWSService");
    
    /**
     * The qualified name for the ConsumerWS port.
     */
    public static final QName CONSUMER_PORT = new QName(CONSUMER_NAMESPACE, "ConsumerWSPort");
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ConsumerWSService.
     *
     * @param wsdlLocation The ConsumerWS WSDL URL.
     */
    public ConsumerWSService(URL wsdlLocation) {
        super(wsdlLocation, CONSUMER_SERVICE);
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Returns the ConsumerWS port.
     *
     * @return The ConsumerWS port.
     */
    @WebEndpoint(name = "ConsumerWSPort")
    public ConsumerWS getConsumerWSPort() {
        return (ConsumerWS) super.getPort(CONSUMER_PORT, ConsumerWS.class);
    }
    
}
