/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.consumer;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

/**
 * The ConsumerWS ResultMessage container class.
 *
 * @author Daniel Cavalcanti
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "resultMessage", propOrder = {"message", "signature"})
public class ResultMessage {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    protected byte[] message;
    protected String signature;
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the value of the message property.
     *
     * @return The value of the message property.
     */
    public byte[] getMessage() {
        return message;
    }
    
    /**
     * Sets the value of the message property.
     *
     * @param value The value of the message property.
     */
    public void setMessage(byte[] value) {
        this.message = ((byte[]) value);
    }
    
    /**
     * Gets the value of the signature property.
     *
     * @return The value of the signature property.
     */
    public String getSignature() {
        return signature;
    }
    
    /**
     * Sets the value of the signature property.
     *
     * @param value The value of the signature property.
     */
    public void setSignature(String value) {
        this.signature = value;
    }
    
    /**
     * Returns the string representation of the message.
     *
     * @return The string representation of the message.
     */
    public String toString() {
        return new String(message);
    }
    
}
