/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.dashboard;

import javax.xml.ws.WebFault;

/**
 * An exception that wraps the DashBoardException class.
 * The DashBoardException represents a web (service) fault.
 *
 * @author Daniel Cavalcanti
 */
@WebFault(name = "DashBoardException", targetNamespace = "http://dashboard.collector.flexiq.localmatters.com/")
public class DashBoardException_Exception
    extends Exception {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    private DashBoardException faultInfo;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of DashBoardException_Exception.
     *
     * @param message The message.
     * @param faultInfo The web fault.
     */
    public DashBoardException_Exception(String message, DashBoardException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }
    
    /**
     * Creates a new instance of DashBoardException_Exception.
     *
     * @param message The message.
     * @param faultInfo The web fault.
     * @param cause The cause.
     */
    public DashBoardException_Exception(String message, DashBoardException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the web fault.
     *
     * @return The web fault.
     */
    public DashBoardException getFaultInfo() {
        return faultInfo;
    }
    
}
