/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.dashboard;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * The DashBoardWS port.
 *
 * @author Daniel Cavalcanti
 */
@WebService(name = "DashBoardWS", targetNamespace = "http://dashboard.collector.flexiq.localmatters.com/")
public interface DashBoardWS {
    
    /**
     * Gets the queue message count.
     * 
     * @param username The JMS connection username.
     * @param password The JMS connection password.
     * @param queueJndiName The queue JNDI name.
     * @throws DashBoardException_Exception If there is an exception/error.
     * @return The number of messages in the queue.
     */
    @WebMethod()
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getQueueMessageCount", targetNamespace = "http://dashboard.collector.flexiq.localmatters.com/", className = "com.localmatters.flexiq.collector.client.dashboard.GetQueueMessageCount")
    @ResponseWrapper(localName = "getQueueMessageCountResponse", targetNamespace = "http://dashboard.collector.flexiq.localmatters.com/", className = "com.localmatters.flexiq.collector.client.dashboard.GetQueueMessageCountResponse")
    public int getQueueMessageCount(
        @WebParam(name = "username", targetNamespace = "") String username,
        @WebParam(name = "password", targetNamespace = "") String password,
        @WebParam(name = "queueJndiName", targetNamespace = "") String queueJndiName)
    throws DashBoardException_Exception;
    
}
