/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.dashboard;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;

/**
 * The ConsumerWS service.
 *
 * @author Daniel Cavalcanti
 */
@WebServiceClient(name = "DashBoardWSService", targetNamespace = "http://dashboard.collector.flexiq.localmatters.com/", wsdlLocation = "http://collector.isxinc.com/collector-5.1.0/DashBoard?WSDL")
public class DashBoardWSService
    extends Service {
    
    // **********************************************************************
    // Class constants
    // **********************************************************************
    
    /**
     * The DashBoardWS namespace.
     */
    public static final String DASH_BOARD_NAMESPACE = "http://dashboard.collector.flexiq.localmatters.com/";
    
    /**
     * The qualified name for the DashBoardWS service.
     */
    public static final QName DASH_BOARD_SERVICE = new QName(DASH_BOARD_NAMESPACE, "DashBoardWSService");
    
    /**
     * The qualified name for the DashBoardWS port.
     */
    public static final QName DASH_BOARD_PORT = new QName(DASH_BOARD_NAMESPACE, "DashBoardWSPort");
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of DashBoardWSService.
     *
     * @param wsdlLocation The DashBoardWS WSDL URL.
     */
    public DashBoardWSService(URL wsdlLocation) {
        super(wsdlLocation, DASH_BOARD_SERVICE);
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Returns the DashBoardWS port.
     *
     * @return The DashBoardWS port.
     */
    @WebEndpoint(name = "DashBoardWSPort")
    public DashBoardWS getDashBoardWSPort() {
        return (DashBoardWS) super.getPort(DASH_BOARD_PORT, DashBoardWS.class);
    }
    
}
