/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.producer;

import javax.xml.ws.WebFault;

/**
 * An exception that wraps the ProducerException class.
 * The ProducerException represents a web (service) fault.
 *
 * @author Daniel Cavalcanti
 */
@WebFault(name = "ProducerException", targetNamespace = "http://producer.collector.flexiq.localmatters.com/")
public class ProducerException_Exception
    extends Exception {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    private ProducerException faultInfo;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ProducerException_Exception.
     *
     * @param message The message.
     * @param faultInfo The web fault.
     */
    public ProducerException_Exception(String message, ProducerException faultInfo) {
        super(message);
        this.faultInfo = faultInfo;
    }
    
    /**
     * Creates a new instance of ProducerException_Exception.
     *
     * @param message The message.
     * @param faultInfo The web fault.
     * @param cause The cause.
     */
    public ProducerException_Exception(String message, ProducerException faultInfo, Throwable cause) {
        super(message, cause);
        this.faultInfo = faultInfo;
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the web fault.
     *
     * @return The web fault.
     */
    public ProducerException getFaultInfo() {
        return faultInfo;
    }
    
}
