/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.producer;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * The ProducerWS port.
 *
 * @author Daniel Cavalcanti
 */
@WebService(name = "ProducerWS", targetNamespace = "http://producer.collector.flexiq.localmatters.com/")
public interface ProducerWS {
    
    /**
     * Sends a set of collectorMessages into the system.
     *
     * @param msgs The list of collector messages to send into the system.
     * @param username The queue username.
     * @param password The queue password.
     * @throws ProducerException_Exception If there is an exception/error.
     */
    @WebMethod()
    @RequestWrapper(localName = "send", targetNamespace = "http://producer.collector.flexiq.localmatters.com/", className = "com.localmatters.flexiq.collector.client.producer.Send")
    @ResponseWrapper(localName = "sendResponse", targetNamespace = "http://producer.collector.flexiq.localmatters.com/", className = "com.localmatters.flexiq.collector.client.producer.SendResponse")
    public void send(
        @WebParam(name = "msgs", targetNamespace = "") List<byte[]> msgs,
        @WebParam(name = "username", targetNamespace = "") String username,
        @WebParam(name = "password", targetNamespace = "") String password)
    throws ProducerException_Exception;
    
}
