/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.producer;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;

/**
 * The ProducerWS service.
 *
 * @author Daniel Cavalcanti
 */
@WebServiceClient(name = "ProducerWSService", targetNamespace = "http://producer.collector.flexiq.localmatters.com/")
public class ProducerWSService
    extends Service {
    
    // **********************************************************************
    // Class constants
    // **********************************************************************
    
    /**
     * The ProducerWS namespace.
     */
    public static final String PRODUCER_NAMESPACE = "http://producer.collector.flexiq.localmatters.com/";
    
    /**
     * The qualified name for the ProducerWS service.
     */
    public static final QName PRODUCER_SERVICE = new QName(PRODUCER_NAMESPACE, "ProducerWSService");
    
    /**
     * The qualified name for the ProducerWS port.
     */
    public static final QName PRODUCER_PORT = new QName(PRODUCER_NAMESPACE, "ProducerWSPort");
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ProducerWSService.
     *
     * @param wsdlLocation The ProducerWS WSDL URL.
     */
    public ProducerWSService(URL wsdlLocation) {
        super(wsdlLocation, PRODUCER_SERVICE);
    }
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Returns the ProducerWS port.
     *
     * @return The ProducerWS port.
     */
    @WebEndpoint(name = "ProducerWSPort")
    public ProducerWS getProducerWSPort() {
        return (ProducerWS) super.getPort(PRODUCER_PORT, ProducerWS.class);
    }
    
}
