/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.producer;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * The Consumer WS send method parameters container class.
 *
 * @author Daniel Cavalcanti
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "send", propOrder = {"msgs", "username", "password"})
public class Send {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    @XmlElement(nillable = true)
    protected List<byte[]> msgs;
    protected String username;
    protected String password;
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the value of the msgs property.
     *
     * <p>
     * This accessor method returns a reference to the live list, not a snapshot.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMsgs().add(newItem);
     * </pre>
     *
     * @return The value of the msgs property.
     */
    public List<byte[]> getMsgs() {
        if (msgs == null)
            msgs = new ArrayList<byte[]>();
        return this.msgs;
    }
    
    /**
     * Gets the value of the username property.
     *
     * @return The value of the username property.
     */
    public String getUsername() {
        return username;
    }
    
    /**
     * Sets the value of the username property.
     *
     * @param value The value of the username property.
     */
    public void setUsername(String value) {
        this.username = value;
    }
    
    /**
     * Gets the value of the password property.
     *
     * @return The value of the password property.
     */
    public String getPassword() {
        return password;
    }
    
    /**
     * Sets the value of the password property.
     *
     * @param value The value of the password property.
     */
    public void setPassword(String value) {
        this.password = value;
    }
    
}
