/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.security;

/**
 * An enumeration of the supported cipher algorithms.
 *
 * @author Daniel Cavalcanti
 */
public enum CipherAlgorithmEnum {
    
    /**
     * Advanced Encryption Standard as specified by NIST in a draft FIPS.
     * Based on the Rijndael algorithm by Joan Daemen and Vincent Rijmen,
     * AES is a 128-bit block cipher supporting keys of 128, 192, and 256 bits.
     */
    AES,
    
    /**
     * The block cipher designed by Bruce Schneier.
     */
    Blowfish,
    
    /**
     * The Digital Encryption Standard as described in FIPS PUB 46-2.
     */
    DES,
    
    /**
     * Triple DES Encryption (DES-EDE).
     */
    TRIPLE_DES
    
}
