/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.security;

import junit.framework.*;

/**
 * JUnit for DESCipherService.
 *
 * @author Daniel Cavalcanti
 */
public class DESCipherServiceTest
    extends TestCase {
    
    // **********************************************************************
    // Class constants
    // **********************************************************************
    
    /**
     * A message to test the DES cipher service implementation.
     */
    public static final String MESSAGE = "This is a test message for DES cipher.";
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    CipherService cipher;
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    public DESCipherServiceTest(String testName) {
        super(testName);
    }

    // **********************************************************************
    // TestCase methods
    // **********************************************************************
    
    protected void setUp()
    throws Exception {
        cipher = new DESCipherService();
    }

    protected void tearDown()
    throws Exception {
    }

    // **********************************************************************
    // Test methods
    // **********************************************************************
    
    /**
     * Test cipher.
     */
    public void testCipher()
    throws Exception {
        
        System.out.println(MESSAGE + " -> encrypt -> decrypt");
        
        byte[] ciphertext = cipher.encrypt(MESSAGE.getBytes());
        byte[] cleartext = cipher.decrypt(ciphertext);
        
        System.out.println(new String(cleartext));
        
        assertEquals(MESSAGE, new String(cleartext));
        
    }

    /**
     * Test cipher key.
     */
    public void testCipherKey()
    throws Exception {
        
        System.out.println("Testing cipher key -> export -> import");
        
        byte[] key = cipher.exportKey();
        cipher.importKey(key);
        
        System.out.println("Done!");
        
    }
    
}
